description: add a testcase description
mode: edit
args:
- service
- svc1
namespace: edit-test
expectedStdout:
- service/svc1 edited
expectedStderr:
- "error: services \"svc1\" is invalid"
expectedExitCode: 0
steps:
- type: request
  expectedMethod: GET
  expectedPath: /api/v1/namespaces/edit-test/services/svc1
  expectedInput: 0.request
  resultingStatusCode: 200
  resultingOutput: 0.response
- type: edit
  expectedInput: 1.original
  resultingOutput: 1.edited
- type: request
  expectedMethod: PATCH
  expectedPath: /api/v1/namespaces/edit-test/services/svc1
  expectedContentType: application/strategic-merge-patch+json
  expectedInput: 2.request
  resultingStatusCode: 422
  resultingOutput: 2.response
- type: edit
  expectedInput: 3.original
  resultingOutput: 3.edited
- type: request
  expectedMethod: PATCH
  expectedPath: /api/v1/namespaces/edit-test/services/svc1
  expectedContentType: application/strategic-merge-patch+json
  expectedInput: 4.request
  resultingStatusCode: 200
  resultingOutput: 4.response
